<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePortalsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: portals
         */
        Schema::create('portals', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('email', 100)->nullable();
            $table->text('slug')->nullable();
            $table->integer('description')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('portals');
    }
}
