<?php

namespace Bixo\Portal;

use DB;
use Illuminate\Database\Seeder;

class PortalTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('portals')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'portal.portal.view',
                'name'      => 'View Portal',
            ],
            [
                'slug'      => 'portal.portal.create',
                'name'      => 'Create Portal',
            ],
            [
                'slug'      => 'portal.portal.edit',
                'name'      => 'Update Portal',
            ],
            [
                'slug'      => 'portal.portal.delete',
                'name'      => 'Delete Portal',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/portal/portal',
                'name'        => 'Portal',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/portal/portal',
                'name'        => 'Portal',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'portal',
                'name'        => 'Portal',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Portal',
                'module'    => 'Portal',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'portal.portal.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
