<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for portal in portal package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  portal module in portal package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Portal',
    'names'         => 'Portals',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Portals',
        'sub'   => 'Portals',
        'list'  => 'List of portals',
        'edit'  => 'Edit portal',
        'create'    => 'Create new portal'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'slug'                       => 'Please enter slug',
        'description'                => 'Please enter description',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'slug'                       => 'Slug',
        'description'                => 'Description',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 2, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Portals',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
