<?php

namespace Bixo\Portal\Repositories\Eloquent;

use Bixo\Portal\Interfaces\PortalRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PortalRepository extends BaseRepository implements PortalRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.portal.portal.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.portal.portal.model.model');
    }
}
